.text-image {
  position: relative;
  overflow: hidden
}
.text-image .container-fluid.full-width {
  max-width: 1600px;
  padding-left: 0;
  padding-right: 0
}
.text-image.right-text-50::before {
  display: none
}
.text-image.right-text-50 .section-bg {
  border-radius: var(--radius-mxl);
  border-end-start-radius: 0;
  border-end-end-radius: 0;
  border-start-end-radius: 0
}
@media (max-width:991.98px) {
  .text-image.right-text-50 .section-bg {
    border-radius: 0;
    border-start-end-radius: var(--radius-mxl);
    border-end-start-radius: 0;
    border-end-end-radius: 0
  }
}
.text-image.right-text-50 .text-image__content {
  display: flex;
  align-items: center;
  height: 100%
}
@media (max-width:991.98px) {
  .text-image.right-text-50 .text-image__image {
    max-height: 89.5rem
  }
}
@media (max-width:575.98px) {
  .text-image.right-text-50 .text-image__image {
    max-height: 46.4rem
  }
}
@media (orientation: landscape) and (max-height: 991.98px) {
    .text-image.right-text-50 .text-image__image {
        max-height: 102.5rem;
    }
}
.text-image.pattern-1::before {
  top: 15%;
  inset-inline-end: 0;
  width: 13%;
  height: 67%;
  content: "";
  position: absolute;
  background: url(/~/media/Images/T/taaleem/ir/body-content/text-and-media/semi-circle.svg);
  transform: scaleX(var(--dir));
  z-index: 0;
  background-repeat: no-repeat;
  background-size: contain;
  background-position: right center
}
@media (max-width:991.98px) {
  .text-image.pattern-1::before {
    width: 100%;
    height: 69%;
    top: 0;
    inset-inline-end: 0;
    content: "";
    background: url(/~/media/Images/T/taaleem/ir/body-content/text-and-media/semi-circle-tablet.svg);
    background-repeat: no-repeat;
    background-size: contain;
    background-position: right center
  }
}
@media (max-width:575.98px) {
  .text-image.pattern-1::before {
    width: 100%;
    height: 48%;
    top: 0;
    inset-inline-end: 0
  }
}
.text-image__image {
  min-height: 30.4rem;
  width: 100%;
  position: relative;
  z-index: 1
}
@media (max-width:991.98px) {
  .text-image__image {
    max-height: 65.6rem;
  }
}
@media (max-width:575.98px) {
  .text-image__image {
    max-height: 30.4rem;
  }
}
.text-image.pattern-2::before {
  top: 0;
  inset-inline-end: 0;
  width: 44%;
  height: 99%;
  content: "";
  position: absolute;
  background: url(/~/media/Images/T/taaleem/ir/body-content/text-and-media/leaf.svg);
  transform: scaleX(var(--dir));
  z-index: 0;
  background-repeat: no-repeat;
  background-size: contain;
  background-position: right center
}
@media (max-width:991.98px) {
  .text-image.pattern-2::before {
    top: 0;
    inset-inline-end: 0;
    width: 78%;
    height: 69%;
    content: "";
    position: absolute;
    background: url(/~/media/Images/T/taaleem/ir/body-content/text-and-media/leaf-tablet.svg);
    transform: scaleX(var(--dir));
    z-index: 0;
    background-repeat: no-repeat;
    background-size: contain;
    background-position: right center
  }
}
@media (max-width:575.98px) {
  .text-image.pattern-2::before {
    top: 0;
    inset-inline-end: 0;
    width: 76%;
    height: 47%;
    content: "";
    position: absolute;
    background: url(/~/media/Images/T/taaleem/ir/body-content/text-and-media/leaf-mobile.svg);
    transform: scaleX(var(--dir));
    z-index: 0;
    background-repeat: no-repeat;
    background-size: contain;
    background-position: right center
  }
}
html[lang="ar"] .text-image.right-text-50 .text-image__image {
  transform: scaleX(-1)!important
}

.text-image.right-text-50 .not-full-width .text-image__image{
	border-radius: var(--ui-images-image-radius);
}